Jiniu AIJiniu AI
Docs
VideosVolcano native formatAsset libraryAsset

Update asset

An asset's URL and type cannot be changed; create a new asset instead.

POST
/api/material

Authorization

bearerAuth

AuthorizationBearer <token>

Authorization: Bearer

In: header

Query Parameters

Action*string

Fixed value: UpdateAsset

Value in"UpdateAsset"

Request Body

application/json

Id*string

Asset ID

Name?string

New name; leave empty to keep the current one

Response Body

application/json

curl -X POST "https://jiniu.ai/api/material?Action=UpdateAsset" \  -H "Content-Type: application/json" \  -d '{    "Id": "asset-xxxx"  }'
{
  "ResponseMetadata": {
    "RequestId": "…",
    "Action": "UpdateAsset"
  },
  "Result": {
    "Id": "asset-xxxx"
  }
}